%define anolis_release 1
%global         _firmwarepath    /usr/lib/firmware

Name:           wireless-regdb
Version:        2024.01.23
Release:        %{anolis_release}%{?dist}
Summary:        Regulatory database for 802.11 wireless networking
License:        ISC
URL:            https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb
Source0:        http://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires: make, systemd-devel
Requires:       udev, iw, systemd >= 190
Provides:       crda = 3.18_2019.03.01
Obsoletes:      crda < 3.18_2019.03.01



%description
wireless-regdb is regulatory database used by Linux.

The wireless-regdb package provides the regulatory rules database
used by the kernels 802.11 networking stack in order to comply 
with radio frequency regulatory rules around the world.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -p1


%build
: # Package installs a firmware-like, prebuilt binary from upstream...


%install
make install \
	DESTDIR=%{buildroot} \
	MANDIR=%{_mandir} \
	FIRMWARE_PATH=%{_firmwarepath}

rm -rf %{buildroot}/usr/lib/crda


%files
%license LICENSE
%{_firmwarepath}/regulatory.db
%{_firmwarepath}/regulatory.db.p7s
%{_mandir}/man5/regulatory.db.5*
%{_mandir}/man5/regulatory.bin.5*

%files doc
%doc README


%changelog
* Fri Feb 28 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 2024.01.23-1
- Update to 2024.01.23

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> -2022.04.08-2
- Optimize spec file

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2022.04.08-1
- init from upstream
